Name: cdb
Version: 0.55
Release: 3
Group: Applications/Databases
URL: http://pobox.com/~djb/cdb.html
Copyright: Public Domain
Packager: Bruce Guenter <bruce.guenter@qcc.sk.ca>
Source: ftp://koobera.math.uic.edu/pub/software/cdb-0.55.tar.gz
Summary: Constant DataBase
Buildroot: /tmp/cdb

%description
cdb is a fast, reliable, lightweight package for creating and reading constant databases.

%package devel
Summary: cdb static libraries and headers
Group: Development/Libraries

%description devel
Libraries and header files needed to develop applications using cdb databases

%changelog

* Sun Feb 15 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>

 - as per the README file, the copyright is really public-domain

* Thu Oct 10 1997 Bruce Guenter <bruce.guenter@qcc.sk.ca>

 - added libcdbmake.a, cdbmake.h, and uint32.h to devel package

%prep
%setup

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 755 12tocdbm cdbdump cdbget cdbmake cdbstats cdbtest $RPM_BUILD_ROOT/usr/bin
install -m 644 *.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 *.3 $RPM_BUILD_ROOT/usr/man/man3
install -m 644 libcdb.a libcdbmake.a $RPM_BUILD_ROOT/usr/lib
install -m 644 cdb.h cdbmake.h uint32.h $RPM_BUILD_ROOT/usr/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) /usr/bin/*
%attr(-,root,root) /usr/man/man1/*
%attr(-,root,root) %doc BLURB CDB CHANGES INSTALL README TODO SYSDEPS

%files devel
%attr(-,root,root) /usr/man/man3/*
%attr(-,root,root) /usr/include/*
%attr(-,root,root) /usr/lib/*
